/*
 * (C) 1995-2004 Clemson University and Argonne National Laboratory.
 *
 * See COPYING in top-level directory.
 */

#ifndef _SOCK_INFO_H
#define _SOCK_INFO_H

#include "dfd_set.h"

typedef struct active_set active_set, *active_setp;

struct active_set {
	int act_set_max;
	dyn_fdset act_set;
};

extern int is_active(active_set*, int s);
extern int set_active(active_set*, int s);
extern int clr_active(active_set*, int s);
extern void init_active_set(active_set*);
extern void finalize_active_set(active_setp asp);

#endif
/*
 * Local variables:
 *  c-indent-level: 3
 *  c-basic-offset: 3
 *  tab-width: 3
 * End:
 *
 * vim: ts=3
 */

